### Function

# EDataServer Client util_parse_comma_strings

since: 3.2

#### Declaration [src]

    GSList*
    e_client_util_parse_comma_strings (
      const gchar* strings
    )

#### Description [src]

Parses comma-separated list of values into `GSList`.

Available since: 3.2

#### Parameters

`strings`

  Type: `const gchar*`

  String of comma-separated values.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `utf8`

Newly allocated `GSList` of newly allocated strings corresponding to values parsed from `strings`. Free the returned pointer with e_client_util_free_string_slist().

The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.